Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class RowSelectionByQuery

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.RowSelection
                      edu.udo.cs.miningmart.operator.RowSelectionByQuery

    public final class RowSelectionByQuery

extends RowSelection

Version:
  $Id: RowSelectionByQuery.java,v 1.10 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Field Summary
`static java.lang.String` | `PARAMETER_CONDITION_OP`
`static java.lang.String` | `PARAMETER_LEFT_CONDITION`
`static java.lang.String` | `PARAMETER_RIGHT_CONDITION`

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`RowSelectionByQuery()`

Method Summary
`java.lang.String` | `generateConditionForOp()` Abstract method to be implemented by all subclasses.
`protected java.lang.String` | `getTheConditionOperator(int loopNr)`
`protected BaseAttribute` | `getTheLeftCondition(int loopNr)`
`protected Value` | `getTheRightCondition(int loopNr)`

Methods inherited from class edu.udo.cs.miningmart.operator.RowSelection
`generateSQLDefinition, getTypeOfNewColumnSet, mustCopyFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, generateColumns, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_LEFT_CONDITION

    public static final java.lang.String PARAMETER_LEFT_CONDITION

See Also:
  Constant Field Values

### PARAMETER_RIGHT_CONDITION

    public static final java.lang.String PARAMETER_RIGHT_CONDITION

See Also:
  Constant Field Values

### PARAMETER_CONDITION_OP

    public static final java.lang.String PARAMETER_CONDITION_OP

See Also:
  Constant Field Values

Constructor Detail

### RowSelectionByQuery

    public RowSelectionByQuery()

Method Detail

### generateConditionForOp

    public java.lang.String generateConditionForOp()
                                            throws M4CompilerError

  Description copied from class: `RowSelection`
  Abstract method to be implemented by all subclasses. Must return the String for the WHERE part of the SQL definition of the output columnset.

  Specified by:
    `generateConditionForOp` in class `RowSelection`
  Returns:
    the WHERE condition
  Throws:
    `M4CompilerError`

### getTheLeftCondition

    protected BaseAttribute getTheLeftCondition(int loopNr)
                                         throws M4CompilerError

  Throws:
    `M4CompilerError`

### getTheConditionOperator

    protected java.lang.String getTheConditionOperator(int loopNr)
                                                throws M4CompilerError

  Throws:
    `M4CompilerError`

### getTheRightCondition

    protected Value getTheRightCondition(int loopNr)
                                  throws M4CompilerError

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005